import type { TrieRoot } from '../TrieNode/TrieNode.js';
export declare const DATA = "__DATA__";
export interface ExportOptions {
    base?: number;
    comment?: string;
    /**
     * This will reduce the size of the `.trie` file by removing references to short suffixes.
     * But it does increase the size of the trie when loaded into memory.
     */
    optimizeSimpleReferences?: boolean;
    /**
     * To improve diffs, an EOL is added before each double letter prefix.
     * @default true
     */
    addLineBreaksToImproveDiffs?: boolean;
}
/**
 * Serialize a TrieRoot.
 */
export declare function serializeTrie(root: TrieRoot, options?: ExportOptions | number): Iterable<string>;
export declare function importTrie(srcLines: string[] | Iterable<string> | string): TrieRoot;
//# sourceMappingURL=importExportV3.d.ts.map